Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 149)
@@ -1187,12 +1187,16 @@
             /// 宿泊費
             /// </summary>
             Lodging,
+            /// <summary>
+            /// 処分費
+            /// </summary>
+            DisposalCost,
         }
 
         /// <summary>
         /// データ種別
         /// </summary>
-        public static readonly string[] CostDataNoString = new string[] { "", "交　通　費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿泊費" };
+        public static readonly string[] CostDataNoString = new string[] { "", "交　通　費", "購入品費", "車両リース代", "駐車場・資材置き場代", "宿　泊　費", "処　分　費" };
         #endregion
 
         #region 汎用データ：コードデータ種別
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 149)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 33;
+        public static int s_SystemVersion = 35;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 149)
@@ -357,8 +357,8 @@
                 // 結合工事表示
                 string strParent = "SELECT DISTINCT(A.CONSTRUCTIONCODE), B.REQUESTEDDATE, 0, 0, 0, 0, F.DETAILSTRING, B.JOINFLG";
                 strParent += " FROM CONSTRUCTIONLINK A";
-                strParent += " LEFT OUTER JOIN CONSTRUCTIONBASEINFODETAIL F ON (F.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strParent += string.Format(" AND F.DETAILNO = {0})", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strParent += " LEFT OUTER JOIN CONSTRUCTIONBASEINFODETAIL F ON F.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
+                strParent += string.Format(" AND F.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 strParent += " , CONSTRUCTIONBASEINFO B";
 
                 strParent += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", SearchCode);
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 149)
@@ -79,7 +79,7 @@
                 GetLedgerColumnCount();
 
                 // 対象をまず削除する(対象月で削除する)
-                string strDelSQL = "DELETE CONSTRUCTIONLEDGEREXCUTE";
+                string strDelSQL = "DELETE FROM CONSTRUCTIONLEDGEREXCUTE";
                 strDelSQL += " WHERE CONSTRUCTIONCODE IN";
                 strDelSQL += " (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1";
                 strDelSQL += string.Format(" WHERE (A1.SALESPERSONCODE = {0} OR A1.CONSTRUCTIONPERSONCODE = {0} OR A1.CONSTRSUBPERSONCODE = {0} OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
@@ -88,11 +88,12 @@
                                                                 , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Purchase)
                                                                 , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Lease)
                                                                 , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.StoragePlace)
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Lodging));
+                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Lodging)
+                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.DisposalCost));
                 strDelSQL += string.Format(" AND DATE(TARGETMONTH) = STR_TO_DATE('{0}','%Y/%m/%d')", (TargetMonth + "/01"));
                 LedgerExcuteDB.ExecuteNonQuery(strDelSQL, false);
 
-                for (int i = (int)CommonDefine.CostDataNo.Transport; i <= (int)CommonDefine.CostDataNo.Lodging; i++)
+                for (int i = (int)CommonDefine.CostDataNo.Transport; i <= (int)CommonDefine.CostDataNo.DisposalCost; i++)
                 {
                     string strSQL = "SELECT CONSTRUCTIONCODE, DATATYPE, DATE_FORMAT(ACTIONDATE,'%Y/%m'), SUM(ENTRYPRICE) FROM COSTDATAOFPERSON";
                     strSQL += String.Format(" WHERE DATE_FORMAT(ACTIONDATE,'%Y/%m') = '{0}'", TargetMonth);
@@ -144,15 +145,19 @@
                         }
                     }
                 }
-                // DBコミット
-                LedgerExcuteDB.commit();
 
                 // 工事詳細台帳の更新
-                foreach (int ConstrCode in ConstrCodeList)
+                if (!LedgerRecalculate(LedgerDB, LedgerExcuteDB, ConstrCodeList))
                 {
-                    LedgerRecalculate(ConstrCode);
+                    LedgerExcuteDB.rollback();
+                    LedgerDB.rollback();
+                    return false;
                 }
 
+                // DBコミット
+                LedgerDB.commit();
+                LedgerExcuteDB.commit();
+
                 return true;
             }
             catch (System.Exception ex)
@@ -171,36 +176,115 @@
         }
         #endregion
 
-        #region 工事詳細台帳再計算処理
+        #region 工事詳細台帳再計算処理（総支払額・粗利・給与・純利益が対象）
         /// <summary>
-        /// 工事詳細台帳再計算処理
+        /// 工事詳細台帳再計算処理（総支払額・粗利・給与・純利益が対象）
         /// </summary>
         /// <param name="ConstrCode"></param>
-        private static void LedgerRecalculate(int ConstrCode)
+        private static bool LedgerRecalculate(IOConstructionLedger LedgerDB,
+                                                IOConstructionLedgerExcute LedgerExcuteDB,
+                                                List<int> ConstrCodeList)
         {
-            FrmConstructionLedger frm = new FrmConstructionLedger();                    // 工事詳細台帳入力
             try
             {
-                // 工事コードのセット
-                frm.ConstructionCode = ConstrCode;
+                string strSQL = string.Empty;
+                bool bRet = true;
+                foreach (int ConstrCode in ConstrCodeList)
+                {
+                    // 工事台帳実行データよりグループごとの合計金額を取得する
+                    strSQL = "SELECT GROUPCOUNT, SUM(PAYMENTAMOUNT)";
+                    strSQL += " FROM CONSTRUCTIONLEDGEREXCUTE";
+                    strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}",ConstrCode);
+                    strSQL += " GROUP BY GROUPCOUNT";
+                    strSQL += " ORDER BY GROUPCOUNT";
 
-                // 見えない画面を出す
-                frm.Hide();
+                    ArrayList InData = new ArrayList();
+                    if (!LedgerExcuteDB.ExecuteReader(strSQL, ref InData, false)) continue;
 
-                // 再計算処理
-                bool bret = frm.RecalculateLedger;
+                    // データ無は次のデータ
+                    if (InData.Count == 0) continue;
 
-                // 画面を閉じる
-                frm.Close();
+                    // 対象データ取得
+                    List<int> GroupCodeList = new List<int>();
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Expenses);               // 1:経費
+
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.ConstructionCosts);      // 2:施工費
+                    
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.TransportationCosts);    // 3:交通費（通行料・電車代）
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.PurchaseCosts);          // 4:購入品
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.VehicleLeaseFee);        // 5:車両リース代
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.ParkingCosts);           // 6:駐車場・資材置き場
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.RoomChargeCosts);        // 7:宿泊費
+                    
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.DisposeCosts);           // 8:処分費等
+                    int Payment = CalcGetTotal(InData, GroupCodeList);                              // ----- 支払額
+
+                    GroupCodeList.Clear();
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Instructor);             // 9:指導員給料行
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Assistant);              // 10:副担当者給料行
+                    int PExpenses = CalcGetTotal(InData, GroupCodeList);                            // ----- 人件費
+
+                    GroupCodeList.Clear();
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.Payroll);                // 11:担当者給料行
+                    int Allowance = CalcGetTotal(InData, GroupCodeList);                            // ----- 給与
+
+                    GroupCodeList.Clear();
+                    GroupCodeList.Add((int)FrmConstructionLedger.DataGroup.BillingAmount);          // 14:請求金額
+                    int Billing = CalcGetTotal(InData, GroupCodeList);                              // ----- 請求額
+                    
+                    // ----- 工事詳細台帳更新
+                    strSQL = "UPDATE CONSTRUCTIONLEDGER SET";
+                    strSQL += string.Format(" TOTALPAYMENT = {0}", Payment);
+                    strSQL += string.Format(" , GROSSPROFIT = {0}", (Billing - Payment));
+                    strSQL += string.Format(" , Allowance = {0}", Allowance);
+                    strSQL += string.Format(" , NETPROFIT = {0}", (Billing - (Payment + Allowance + PExpenses)));
+                    strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", ConstrCode);
+                    if (!LedgerExcuteDB.ExecuteNonQuery(strSQL, false))
+                    {
+                        bRet = false;
+                        break;
+                    }
+                }
+                return bRet;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
-            finally
+        }
+        #endregion
+
+        #region 配列リストより指定された合計を取得する
+        /// <summary>
+        /// 配列リストより指定された合計を取得する
+        /// </summary>
+        private static int CalcGetTotal(ArrayList InData, List<int> GroupCodeList)
+        {
+            try
             {
-                frm.Dispose(); frm = null;
+                int iRetVal = 0;
+
+                int GrpNo = -1;
+                foreach (int GroupCode in GroupCodeList)
+                {
+                    foreach (object[] CurRec in InData)
+                    {
+                        GrpNo = CommonMotions.cnvInt(CurRec[0]);
+
+                        if (GroupCode != GrpNo) continue;
+
+                        iRetVal += CommonMotions.cnvInt(CurRec[1]);
+                    }
+                }
+
+                return iRetVal;
             }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
         }
         #endregion
 
@@ -279,6 +363,10 @@
                     // 宿泊費
                     GroupNo = (int)FrmConstructionLedger.DataGroup.RoomChargeCosts;
                     break;
+                case (int)CommonDefine.CostDataNo.DisposalCost:
+                    // 処分費
+                    GroupNo = (int)FrmConstructionLedger.DataGroup.DisposeCosts;
+                    break;
             }
             return GroupNo;
         }
@@ -290,19 +378,14 @@
         /// </summary>
         private static void GetLedgerColumnCount()
         {
-            FrmConstructionLedger frm = new FrmConstructionLedger();
             try
             {
-                m_LedgerColumnCount = frm.GetGridColumsCount - 1;
+                m_LedgerColumnCount = Enum.GetNames(typeof(FrmConstructionLedger.GridColumn)).Length - 1;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
         }
         #endregion
 
@@ -315,8 +398,9 @@
         /// <returns></returns>
         public static bool UpdateRecalLedgerDataFromTAndPCost(int PersonCode, string TargetMonth)
         {
+            IOConstructionLedger LedgerDB = new IOConstructionLedger();
+            IOConstructionLedgerExcute LedgerExcuteDB = new IOConstructionLedgerExcute();
             IOCostDataOfPerson CostDB = new IOCostDataOfPerson();
-            FrmConstructionLedger frm = new FrmConstructionLedger();
             try
             {
                 string strSQL = "SELECT PERSONCODE, DATE_FORMAT(ACTIONDATE,'%Y/%m'), CONSTRUCTIONCODE FROM COSTDATAOFPERSON";
@@ -328,30 +412,24 @@
                 if (!CostDB.ExecuteReader(strSQL, ref arList)) return false;
                 if (arList.Count == 0) return true;
 
-                bool bInit = true;
+                List<int> ConstructionCodeList = new List<int>();
                 foreach (object[] wrkobj in arList)
                 {
                     int ConstructionCode = CommonMotions.cnvInt(wrkobj[2]);
-                    // 工事番号が存在しないデータは更新にしない
-                    if (ConstructionCode == 0) continue;
 
-                    // 工事コードのセット
-                    frm.ConstructionCode = ConstructionCode;
+                }
+                // 工事番号が存在しないデータは更新にしない
+                if (ConstructionCodeList.Count < 1) return true;
 
-                    if (bInit)
-                    {
-                        // 見えない画面を出す
-                        frm.Hide();
-                        // フォーム非表示
-                        //frm.Visible = false;
-                        bInit = false;
-                    }
-                    // 再計算処理
-                    bool bret = frm.RecalculateLedger;
+                // 工事詳細台帳の更新
+                if (!LedgerRecalculate(LedgerDB, LedgerExcuteDB, ConstructionCodeList))
+                {
+                    LedgerExcuteDB.rollback();
+                    LedgerDB.rollback();
+                    return false;
                 }
-                
-                // 画面を閉じる
-                frm.Close();
+
+                return true;
             }
             catch (System.Exception ex)
             {
@@ -361,9 +439,7 @@
             finally
             {
                 CostDB.close(); CostDB = null;
-                frm.Dispose(); frm = null;
             }
-            return true;
         }
         #endregion
 
@@ -500,7 +576,6 @@
             IOConstructionLedgerDetail LedgerDeDB = new IOConstructionLedgerDetail();
             IOConstructionLedgerExcute LedgerExDB = new IOConstructionLedgerExcute();
             IOMPersonInCharge PersonDB = new IOMPersonInCharge();
-            FrmConstructionLedger frm = new FrmConstructionLedger();
             try
             {
                 // 工事詳細台帳明細データ取得
@@ -594,20 +669,7 @@
 
                 bool bret = true;
 
-                // 工事コードのセット
-                frm.ConstructionCode = LedgerRec.ConstructionCode;
 
-                // 見えない画面を出す
-                frm.Hide();
-                // フォーム非表示
-                //frm.Visible = false;
-
-                // 再計算処理
-                bret = frm.RecalculateLedger;
-
-                // 画面を閉じる
-                frm.Close();
-
                 // データ初期セット時に振分無・日数入力は次のループをしない
                 //if (bSetFlag && LoopBreak) bret = false;
 
@@ -623,8 +685,6 @@
                 LedgerDeDB.close(); LedgerDeDB = null;
                 LedgerExDB.close(); LedgerExDB = null;
                 PersonDB.close(); PersonDB = null;
-
-                frm.Dispose(); frm = null;
             }
         }
         #endregion
@@ -775,8 +835,7 @@
         /// <returns></returns>
         public static int CalcTargetMonthToColumn(DateTime StartDate, DateTime TargetMonth)
         {
-            FrmConstructionLedger frm = new FrmConstructionLedger();
-            int Columncnt = frm.GetGridColumsCount - 1;
+            int Columncnt = Enum.GetNames(typeof(FrmConstructionLedger.GridColumn)).Length - 1;
             try
             {
                 // 処理対象年月日を対象月月初日に変換する
@@ -800,10 +859,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return Columncnt;
             }
-            finally
-            {
-                frm.Dispose(); frm = null;
-            }
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 149)
@@ -15,8 +15,6 @@
 using ProcessManagement.Common;
 using ProcessManagement.DB.IOAccess;
 using ProcessManagement.DataModel;
-using ProcessManagement.Forms.ControlsAction;
-using ProcessManagement.Forms.CustomControls;
 
 namespace ProcessManagement.Common
 {
@@ -333,7 +331,15 @@
                 else
                 {
                     // 掲示板閲覧テーブルのチェック
-                    string strSQL = "SELECT A.*, B.SHAREFLAG, C.DEPARTMENTCODE, D.SECRANK FROM MESSAGEBOARDTERGET A";
+                    string strSQL = "SELECT";
+                    strSQL += " A.RecordNumber";
+                    strSQL += ", A.BranchNumber";
+                    strSQL += ", A.SeqNum";
+                    strSQL += ", A.ToCode";
+                    strSQL += ", A.ToName";
+                    strSQL += ", DATE_FORMAT(A.EntryDate, '%Y/%m/%d %H:%i:%s')";
+                    strSQL += ", DATE_FORMAT(A.UpdateDate, '%Y/%m/%d %H:%i:%s')";
+                    strSQL += " , B.SHAREFLAG, C.DEPARTMENTCODE, D.SECRANK FROM MESSAGEBOARDTERGET A";
                     strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON C.PERSONCODE = A.TOCODE";
                     strSQL += " LEFT JOIN SECURITYMASTER D ON D.SECCODE = C.SECCODE";
                     strSQL += " , MESSAGEBOARDDATA B";
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 149)
@@ -15,8 +15,6 @@
 using ProcessManagement.Common;
 using ProcessManagement.DB.IOAccess;
 using ProcessManagement.DataModel;
-using ProcessManagement.Forms.ControlsAction;
-using ProcessManagement.Forms.CustomControls;
 
 namespace ProcessManagement.Common
 {
@@ -538,6 +536,8 @@
                         if (wrkRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying) continue;
                         // 結合工事の親は処理しない
                         if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent) continue;
+                        // 結合工事の子は処理しない
+                        if (wrkRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren) continue;
                         // チェック
                         if (!ConstructionStatusCheck(wrkRec, CriteriaDate, ref term))
                         {
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 149)
@@ -231,7 +231,7 @@
                 strcmd += string.Format(",TargetMonth = {0}", data.TargetMonth.ToString());
                 strcmd += string.Format(",TargetDay = {0}", data.TargetDay.ToString());
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceDailyData.cs	(revision 149)
@@ -288,8 +288,8 @@
                 strcmd += string.Format(",ActionResult = '{0}'", data.ActionResult);            // 行動実績
                 strcmd += string.Format(",OvertimeHours = {0}", data.OvertimeHours);            // 残業時間
                 strcmd += string.Format(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
-                
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -370,7 +370,7 @@
                         break;
                 }
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 149)
@@ -302,7 +302,7 @@
                                                     data.OrderDate.ToShortDateString());        // 申請日
                 strcmd += string.Format(" ,OrderNo =  {0} ", data.OrderNo);                     // 申請受付番号
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -386,7 +386,7 @@
                         break;
                 }
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += CreatePrimarykeyString(PersonCode, AttendanceMonth);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBankBusinessDayMaster.cs	(revision 149)
@@ -122,8 +122,8 @@
                     strcmd += string.Format(", '{0}'", work.Note.ToString());
                     strcmd += string.Format(", {0}", work.DeleteFlg.ToString());
 
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", NOW()";
+                    strcmd += ", NOW()";
                     strcmd += ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -159,7 +159,7 @@
                 strcmd += string.Format(",Note = '{0}'", data.Note);
                 strcmd += string.Format(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -186,7 +186,7 @@
             try
             {
                 strcmd = "Update BankBusinessDayMaster Set DeleteFlg = 1";
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingData.cs	(revision 149)
@@ -123,8 +123,8 @@
                     strcmd += string.Format(", {0}", work.SeqNo.ToString());
                     strcmd += string.Format(", {0}", work.BillPrice.ToString());
 
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", NOW()";
+                    strcmd += ", NOW()";
                     strcmd += ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -157,7 +157,7 @@
 
                 strcmd += string.Format(" BillPrice = {0}", data.BillPrice.ToString());
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingDataDetail.cs	(revision 149)
@@ -136,8 +136,8 @@
                     strcmd += string.Format(", {0}", work.IndsWasteTax.ToString());
                     strcmd += string.Format(", '{0}'", work.Note.ToString());
 
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", NOW()";
+                    strcmd += ", NOW()";
                     strcmd += ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -176,7 +176,7 @@
                 strcmd += string.Format(",IndsWasteTax = {0}", data.IndsWasteTax.ToString());
                 strcmd += string.Format(",Note = '{0}'", data.Note);
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 148)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOBillingPaymentSummary.cs	(revision 149)
@@ -129,7 +129,7 @@
                     strcmd += string.Format("  {0}", work.CompanyCode.ToString());
                     strcmd += string.Format(", {0}", work.TargetDate.ToString());
                     strcmd += string.Format(", {0}", work.ChargePaymentKind.ToString());
-                    strcmd += string.Format(", STR_TO_DATE(DATE_FORMAT('{0}','%Y/%m/%d'),'%Y/%m/%d')", work.Payday.ToString());
+                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.Payday.ToShortDateString());
                     strcmd += string.Format(", {0}", work.BillPriceStotal.ToString());
                     strcmd += string.Format(", {0}", work.ConsumptionTaxRate.ToString());
                     strcmd += string.Format(", {0}", work.ConsumptionTaxPrice.ToString());
@@ -140,8 +140,8 @@
                     strcmd += string.Format(", {0}", work.CnstrPriceStotal.ToString());
                     strcmd += string.Format(", {0}", work.BillingPriceTotal.ToString());
 
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", NOW()";
+                    strcmd += ", NOW()";
                     strcmd += ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -185,7 +185,7 @@
                 strcmd += string.Format(",CnstrPriceStotal = {0}", data.CnstrPriceStotal.ToString());
                 strcmd += string.Format(",BillingPriceTotal = {0}", data.BillingPriceTotal.ToString());
 
-                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = NOW()";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
